import numpy as np
"""
General parameters for gsaoi_discorr. Provides additional flexibility
beyond what is available from the command-line options.
"""
PACKAGE_NAME = 'disco_stu'
VERSION = '1.3.6'

# Default output filename
OUTPUT_FILE = 'disco_stack'

# How to modify the identifier to get the mosaicked/projected ID
PROJ_ID = '{}_proj'

OBJCAT_ALIGN_RADIUS = [1.0,0.3] # arcseconds
OBJCAT_POLY_DEGREE = 3
# None means set to minimum needed to constrain fit
OBJCAT_MIN_MATCHES = None

REFCAT_ALIGN_RADIUS = [5.0,0.5]
REFCAT_POLY_DEGREE = 2
REFCAT_MIN_MATCHES = None

# Output projection type (must be a subclass of projections.Zenithal)
PROJECTION = 'Sky2Pix_TAN'

PIXEL_SCALE = 0.0195 # arcseconds

# Default combine method: acceptable values are 'average', 'mean', 'median'
COMBINE_TYPE = 'average'

# Datatype for DQ plane. DO NOT TOUCH!
DQ_DATATYPE = np.int16

# Input DQ bits to use as "bad"
#DQ_BITMASK = DQ_DATATYPE(65407) # Use all bits except 128=object detected
DQ_BITMASK = DQ_DATATYPE(65405) # Non-linear (2) is OK
#DQ_BITMASK = DQ_DATATYPE(65401) # Non-linear (2) and saturated (4) are OK

# How "bad" can a transformed pixel be to still be bad?
MIN_DQ_BADNESS = 0.02

# Interpolation order during the projection
INTERPOLATION_ORDER = 3

# DQ bit for no data in the output image. DO NOT TOUCH!
NO_DATA = 16

# Attempt to fix SCI values of bad pixels to help interpolation?
CLEAN_ITERATIONS = 1
CLEAN_RADIUS = 1.5

# FITS header keyword for timestamps
PACKAGE_MARKER = ('DISCOSTU', "File created by "+PACKAGE_NAME)
