""" Configuration lookups for sextractor for GSAOI """
import os
import sys

CONFIG_KEY = 'c'

__THIS_MODULE__ = sys.modules[__name__]
__local_parameter_list__ = ["CONFIGURATION",
                            "PARAMETERS",
                            "FILTER",
                            "STARNNW"]
__PARAMETER_SUFFIX__ = "_NAME"
__LOCAL_PATH__ = os.path.split(__file__)[0]
__STEM__ = os.path.join(__LOCAL_PATH__, "source_detection/")
__FILE_STEM__ = 'gsaoi'

__all__ = ['CONFIGURATION', 'PARAMETERS', 'FILTER', 'STARNNW',
           'DEFAULT_SOURCE_DETECTION_FILES', 'CONFIG_KEY']

# The following is required to be done in order
def _set_parameter_suffix():
    for name in __local_parameter_list__:
        setattr(__THIS_MODULE__, name, ''.join([name, __PARAMETER_SUFFIX__]))

_set_parameter_suffix()

__INTERNAL_PARAMETER_DICT__ = {CONFIGURATION: "sex",
                               PARAMETERS: "param",
                               FILTER: "conv",
                               STARNNW: "nnw"}

DEFAULT_SOURCE_DETECTION_FILES = {}

def set_parameters(path):
    global DEFAULT_SOURCE_DETECTION_FILES
    path = os.path.join(path, __FILE_STEM__)
    for key, value in __INTERNAL_PARAMETER_DICT__.items():
        DEFAULT_SOURCE_DETECTION_FILES[key] = '.'.join([path, value])

# Set defaults
set_parameters(__STEM__)
