class ETIFile(object):
    """
    The base class for all External Class Interface file objects.
    """
    def __init__(self, name=None):
        """
        :param rc: Used to store reduction information
        :type rc: ReductionContext
        """
        self.name = name
        self._set_name(__name__)

    def _set_name_flag(self, flag=False):
        if not hasattr(self, '_set_eti_name'):
            self._set_eti_name = flag

    def _set_taskname(self):
        if self._eti_name.endswith("eti"):
            self._taskname = self._eti_name[:-3]
        else:
            self._taskname = self._eti_name

    def _set_name(self, name):
        if not hasattr(self, '_set_eti_name'):
            self._eti_name = name.split(".")[-1]
            self._set_name_flag(flag=True)
            self._set_taskname()

    def prepare(self):
        pass

    def recover(self):
        pass

    def clean(self, remove_inputs=True):
        pass
