from .etiparam import ETIParam

__RAISE__ = False

PARAMETERS = "parameters"
INPUT_KEY = "sextractor_parameters"
#CONFIG_KEY = "c"
__PARAMETERS_SET_INTERNALLY__ = ["FLAG_IMAGE",
                                 "CHECKIMAGE_NAME",
                                 "CATALOG_NAME"]

class SExtractorETIParam(ETIParam):

    def __init__(self, parameters):
#        super(SextractorETIParam, self).__init__(parameters)
        super(SExtractorETIParam, self).__init__()
        self.paramdict = {}
        self.input_parameters = parameters
        self.niterate = None

        self.parameter_dict = {}
        if self.input_parameters is None and __RAISE__:
            raise ValueError("parameters must be supplied")

    def get_parameter(self):
        return self.paramdict[PARAMETERS]

    def set_parameters(self):
        if not self.input_parameters:
            return
        elif self.input_parameters is None:
            return

        for parameter, value in self.input_parameters.items():
            if parameter in __PARAMETERS_SET_INTERNALLY__:
                raise IOError
            else:
                self.parameter_dict.update({parameter: value})

        self.paramdict.update({PARAMETERS: self.parameter_dict})


    def prepare(self):
        self.set_parameters()

    def recover(self):
        pass